Multi-Factor Authentication (MFA)
Verify MFA Challenge Code
POST
Performs constant-time validation of submitted MFA challenge code. On successful verification, returns verified: true and a cryptographically signed verificationToken proof token for subsequent authenticated actions.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
challengeId*stringcode*stringChallenge verification outcome
application/json- response
status?stringdata?curl -X POST 'https://api.smspro.com/api/v1/public/mfa/verify' \ -H 'Content-Type: application/json' \ -d '{ "challengeId": "string", "code": "string"}'Example Response
{ "status": "string", "data": { "challengeId": "string", "verified": true, "status": "VERIFIED", "verificationToken": "string", "verifiedAt": "2019-08-24T14:15:22Z", "attemptsRemaining": 0, "message": "string" }}